// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"h5-2019/controllers"

	"github.com/astaxie/beego"
)

func init() {
	ns := beego.NewNamespace("/api",
		beego.NSRouter("/appid", &controllers.BaseController{}, "get:WechatAppID"),
		beego.NSRouter("/user", &controllers.H5Controller{}, "get:GetCustomer"),
		beego.NSRouter("/share", &controllers.H5Controller{}, "get:GetTotalShare"),
		beego.NSRouter("/share", &controllers.H5Controller{}, "put:PutShare"),
	)
	beego.AddNamespace(ns)
}
